# Auf offene Schicht bewerben

`POST https://{tenant}.stamp.eu/rest/roster_entries/{rosterEntry}/apply`

Employee applies for an open shift (422 on absence conflict)

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `rosterEntry` | string | ja | The roster entry ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `note` | string \| null | nein |

## Antworten

### 201: `ShiftApplicationResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.roster_entry_id` | string | ja |
| `data.employee_id` | string | ja |
| `data.employee_name` | string \| null | nein |
| `data.status` | string | ja |
| `data.note` | string | ja |
| `data.created_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: An error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
